2134354 - Error: "TLS handshake failure" or "Server certificate not trusted" after upgrading to a higher support package of SQL Anywhere 12 or SQL Anywhere 16 | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2134354 - Error: "TLS handshake failure" or "Server certificate not trusted" after upgrading to a higher support package of SQL Anywhere 12 or SQL Anywhere 16

Symptom

  • An existing SQL Anywhere or MobiLink system is communicating or synchronizing successfully using secure communications (via HTTPS or TLS, using RSA or RSA-FIPS certificates) using SQL Anywhere 12 or SQL Anywhere 16
  • An upgrade is performed to SQL Anywhere 16.0 build 1690 (SP6) and higher, or SQL Anywhere 12.0.1 build 3994 (SP66) and higher.
  • Attempting to communicate or synchronize with the same parameters and same certificates that previously worked, now results in one of the errors:

    SQL Anywhere:
    Could not connect to the database.
    [Sybase][ODBC Driver][SQL Anywhere] TLS handshake failure
    MobiLink:
    E. 2015-02-18 11:07:15. Server certificate not trusted. The system-specific error code is 336134278 (hex 14090086).
    E. 2015-02-18 11:07:15. A communication error occurred while sending data to the MobiLink server
    E. 2015-02-18 11:07:15. Unspecified communication error

Read more...

Environment

  • SAP SQL Anywhere 16
    SAP SQL Anywhere 12

Product

SAP SQL Anywhere 16.0 ; SAP Sybase SQL Anywhere 12.0

Keywords

SQL, Anywhere, SQA, SQLAny, SQLA, TLS, fail, failure, fails, certificate, MobiLink, ML, synch, synchronizing, synchronization, FIPS, upgrade, upgrading, error, connect, connection, communication, library, libraries, OpenSSL, , KBA , BC-SYB-SQA , SQL Anywhere (on premise, on demand) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.